<?php

namespace App\Exports;

use Maatwebsite\Excel\Concerns\FromArray;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Concerns\WithEvents;
use Illuminate\Support\Facades\Session;
use App\Models\ReportModel;
use Maatwebsite\Excel\Events\AfterSheet;
use Illuminate\Support\Facades\DB;

class DaysWiseExport implements FromArray,WithHeadings,ShouldAutoSize,WithEvents
{
    protected $data;
    protected $headings;
    protected $columnWidth = [];
    protected $rowHeight = [];
    protected $mergeCells = [];
    protected $font = [];
    protected $fontSize = [];
    protected $bold = [];
    protected $background = []; 
    protected $vertical = []; 
    protected $sheetName;
    protected $borders = [];

    /**
    * @return \Illuminate\Support\Collection
    */
    public function array(): array
    {
        $aData = array();
        $aData['Pakage_id'] = session::has('Pakage_id') ? session::get('Pakage_id') : 0;
        $aData['start_date'] = session::has('start_date') ? session::get('start_date') : date('d-m-Y',strtotime('-1 month'));
        $aData['end_date'] = session::has('end_date') ? session::get('end_date') :date('d-m-Y');

        $aEmployeeData = ReportModel::getDaysData($aData);
        $total_hours = 0;
		$total_employees = 0;
		foreach($aEmployeeData as $key=>$data){
			$total_hours += $data->total;
			$total_employees += $data->employee_count;
			$hours = ReportModel::secondsToTime($data->total);
			$aEmployeeData[$key]->hours = $hours['h'].':'.$hours['m'];
		}

		$hours = ReportModel::secondsToTime($total_hours);

		$aData['total_hours'] = $hours['h'].':'.$hours['m'];

		$aData['total_employees'] = $total_employees;

		$aData['aDays'] = $aEmployeeData;
        if($aEmployeeData){
            foreach($aEmployeeData as $key=>$val){
                $aData['excel'][] = array(
                    'date' =>date('d-m-Y', $val->attendance_date) ,
                    'hours' => $val->hours,
                    'employee_count' =>$val->employee_count,
                );     
            }
            $aData['excel'][] = array(
                'date' =>'Total Hours' ,
                'hours' => $aData['total_hours'],
                'employee_count' =>$aData['total_employees']
            );     
        }else{
            $aData['excel'][] = array(
            );     
        }

        return $aData['excel'];
    }

    public function headings(): array
    {        
        $aData['Pakage_id'] = session::has('Pakage_id') ? session::get('Pakage_id') : 0;
        $aData['start_date'] = session::has('start_date') ? session::get('start_date') : date('d-m-Y',strtotime('-1 month'));
        $aData['end_date'] = session::has('end_date') ? session::get('end_date') :date('d-m-Y');

        $result = DB::table('admin_pakages')
                ->where('id', $aData['Pakage_id'])
                ->get();
        
        foreach($result as $val){
            $pakage_name  = $val->Pakage_name ;
        }

        if(!empty($pakage_name)){
            $division  = $pakage_name;
        }  
        else{
            $division  = '-';
        }

        return [
                ['Report Name: Days Wise Report.'],
                ['Start Date :'.$aData['start_date']],
                ['End Date :'.$aData['end_date']],
                ['Pakage :'.$division.'' ],
                [],
                [ 
                    'Date',
                    'Hours',
                    'Total Employees'
                ]
            ];
    }

      /**
     * @return string
     */
    public function registerEvents(): array
    {
        return [
            AfterSheet::class => function(AfterSheet $event) {
                $event->sheet->getDelegate()->getStyle('A1:Z1265')->getAlignment()->setHorizontal('left');
                $event->sheet->mergeCells('A1:D1');
                $event->sheet->mergeCells('A2:C2');
                $event->sheet->mergeCells('A3:C3');
                $event->sheet->mergeCells('A4:C4');
                $event->sheet->mergeCells('A5:Z5');

                $event->sheet->getDelegate()->getRowDimension('1')->setRowHeight(25);
                $event->sheet->getDelegate()->getRowDimension('2')->setRowHeight(25);
                $event->sheet->getDelegate()->getRowDimension('3')->setRowHeight(25);
                $event->sheet->getDelegate()->getRowDimension('4')->setRowHeight(25);
                $event->sheet->getDelegate()->getRowDimension('6')->setRowHeight(25);

                $event->sheet->getStyle('A1:I6')->applyFromArray([
                    'font'=>[
                            'bold'=>true,
                    ]
                ]);

                $aData = array();
                $aData['Pakage_id'] = session::has('Pakage_id') ? session::get('Pakage_id') : 0;
                $aData['start_date'] = session::has('start_date') ? session::get('start_date') : date('d-m-Y',strtotime('-1 month'));
                $aData['end_date'] = session::has('end_date') ? session::get('end_date') :date('d-m-Y');

                $aEmployeeData = ReportModel::getDaysData($aData);
                $i = 7;
                if(  $aEmployeeData){
                    $data = count( $aEmployeeData);
                    $i += $data;
                    $event->sheet->getStyle('A'.$i.':Z'.$i)->applyFromArray([
                        'font'=>[
                                'bold'=>true,
                        ]
                    ]);
                    $event->sheet->getDelegate()->getStyle('A'.$i.':A'.$i)->getAlignment()->setHorizontal('right');
                }
            },
        ];
    } 
}

