<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\VehicleTrakingReportModel;
use App\Models\VehicleModel;
use App\Models\PakageModel;
use App\Models\DesignationModel;
use App\Models\RouteModel;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\DB;
use Maatwebsite\Excel\Facades\Excel;
//use Elibyy\TCPDF\Facades\TCPDF;
use PDF;
// use \Mpdf\Mpdf as PDF; 
// use Illuminate\Support\Facades\Storage;

class VehicleTrackingReportController extends Controller
{
    public function index(){
        //dd('ssss');
        $aData = array();
        $aData['result'] = VehicleTrakingReportModel::all()->where('is_deleted',0);
        return view('vehicle_tracking_reports.all_reports', $aData);
    }


    public function vehicle_sweeping_coverage(Request $request){
        
        $aData = array();


        if($request->has('btn_reset')) {

            return redirect('/vehicle_tracking_reports/vehicle_sweeping_coverage');
        }

        if($request->has('btn_search')) {
            
            $aData['txt_date'] = $request->input('txt_date');
        }else{

            $aData['txt_date'] = date('d-m-Y');
        }

        $aData['records'] = VehicleTrakingReportModel::get_all_vehicle_track_data($aData);

        //echo '<pre>';print_r($aData['records']);die();

        return view('reports.vehicle_sweeping', $aData);
    }
    public function vehicle_sweeping_coverage_excel(Request $request,$date=''){
        
        $aData['txt_date'] = base64_decode($date);

        $aData['records'] = VehicleTrakingReportModel::get_all_vehicle_track_data($aData);

        return view('reports.vehicle_sweeping_excel', $aData);
    }
    public function km_sweeping(Request $request){
        
        if(empty(session('search_txt_date_km'))) {
           $request->session()->put('search_txt_date_km', date('d-m-Y'));
        }

        if($request->has('btn_reset')) {
            
            // Unset session value by key
            $request->session()->forget('search_txt_date_km');

            return redirect('/vehicle_tracking_reports/km_sweeping');
        }

        if($request->has('btn_search')) {
            
            $txt_date  = $request->input('txt_date_km');

            if(!empty($txt_date)){
              
              $request->session()->put('search_txt_date_km', $txt_date);
            }
        }

        $data =[];
        $i_current_date = date('Ymd',strtotime(session('search_txt_date_km')));
       // echo $i_current_date;die;
        $data['aPakage'] = PakageModel::get_Pakages()->get();
        $data['r_vehicles_subtype'] = VehicleModel::get_all_vehicles_subtype();
        $data['vehicle_types'] = VehicleModel::get_vehicle_types();
        //echo '<pre>';print_r($data['vehicle_types']);die;

        foreach ($data['aPakage'] as $aPakage_val) {
            $data['daily_route_dis'][$aPakage_val->id] = [];
            $aSeach['packege_id'] = $aPakage_val->id;
            //$r_vehicle_data_res = VehicleModel::get_all_vehicles($aSeach);
            $r_route_data_res = RouteModel::get_to_fetch_route($aSeach);
            //echo '<pre>';print_r($r_route_data_res);
            $all_route = [];
            if(!empty($r_route_data_res)){
               foreach ($r_route_data_res as $route_val) {
                
                  $all_route[] = $route_val->id;
               }
            }
            if(!empty($all_route)){
                
                $sql = 'SELECT pockets,type FROM daily_route_details WHERE current_day='.$i_current_date.' AND route_id in ('.implode(',',$all_route).' )';
                //echo $sql;
                $Result = DB::select($sql); 
                foreach($Result as $temp){
                    if(!isset($data['daily_route_dis'][$aPakage_val->id][$temp->type])){
                        $data['daily_route_dis'][$aPakage_val->id][$temp->type] = 0;
                    }
                    if($temp->pockets != NULL){
                        $pocket_data = json_decode($temp->pockets,true);
                    
                        $distance = 0;
                        
                        if(!empty($pocket_data)){
                        foreach($pocket_data as $pocket){
                            $distance += $pocket['distance_travelled'];
                            }
                        }
                        $data['daily_route_dis'][$aPakage_val->id][$temp->type] += $distance;
                    }
                    
                }

            }
            
        }
          //echo '<pre>';print_r($data['daily_route_dis']);
          //die;

        return view('reports.km_sweeping', $data);
        
    }
    public function km_sweeping_excel(Request $request,$date=''){
        
        $data =[];

        $data['txt_date'] = base64_decode($date);

        $i_current_date = date('Ymd',strtotime($data['txt_date']));
       // echo $i_current_date;die;
        $data['aPakage'] = PakageModel::get_Pakages()->get();
        $data['r_vehicles_subtype'] = VehicleModel::get_all_vehicles_subtype();
        $data['vehicle_types'] = VehicleModel::get_vehicle_types();
        //echo '<pre>';print_r($data['vehicle_types']);die;

        foreach ($data['aPakage'] as $aPakage_val) {
            $data['daily_route_dis'][$aPakage_val->id] = [];
            $aSeach['packege_id'] = $aPakage_val->id;
            //$r_vehicle_data_res = VehicleModel::get_all_vehicles($aSeach);
            $r_route_data_res = RouteModel::get_to_fetch_route($aSeach);
            //echo '<pre>';print_r($r_route_data_res);
            $all_route = [];
            if(!empty($r_route_data_res)){
               foreach ($r_route_data_res as $route_val) {
                
                  $all_route[] = $route_val->id;
               }
            }
            if(!empty($all_route)){
                
                $sql = 'SELECT pockets,type FROM daily_route_details WHERE current_day='.$i_current_date.' AND route_id in ('.implode(',',$all_route).' )';
                //echo $sql;
                $Result = DB::select($sql); 
                foreach($Result as $temp){
                    if(!isset($data['daily_route_dis'][$aPakage_val->id][$temp->type])){
                        $data['daily_route_dis'][$aPakage_val->id][$temp->type] = 0;
                    }
                    if($temp->pockets != NULL){
                        $pocket_data = json_decode($temp->pockets,true);
                    
                        $distance = 0;
                        
                        if(!empty($pocket_data)){
                        foreach($pocket_data as $pocket){
                            $distance += $pocket['distance_travelled'];
                            }
                        }
                        $data['daily_route_dis'][$aPakage_val->id][$temp->type] += $distance;
                    }
                    
                }

            }
            
        }

        //echo '<pre>';print_r($data['daily_route_dis']);die();

        return view('reports.km_sweeping_excel', $data);
    }

    public function vehicle_performance_details(Request $request){

        $aData = array();

        if($request->has('btn_reset')) {

            return redirect('/vehicle_tracking_reports/vehicle_performance_details');
        }

        if($request->has('btn_search')) {

            $aData['txt_date'] = $request->input('txt_date');

        }else{

            $aData['txt_date'] = date('d-m-Y');
        }

        $aData['records'] = VehicleTrakingReportModel::get_all_vehicle_track_data($aData);

        //echo '<pre>';print_r($aData['records']);die();

        return view('reports.vehicle_performance', $aData);
    }
    public function vehicle_performance_detail_excel(Request $request,$date=''){

        $aData['txt_date'] = base64_decode($date);

        $aData['records'] = VehicleTrakingReportModel::get_all_vehicle_track_data($aData);

        return view('reports.vehicle_performance_excel', $aData);
    }

    public function emp_attendance_report(Request $request){

        $data = array();


        if($request->has('btn_reset')) {

            return redirect('/vehicle_tracking_reports/emp_attendance_report');
        }

        if($request->has('btn_search')) {
            
           $data['txt_date'] = $request->input('txt_date');

        }else{

            $data['txt_date'] = date('d-m-Y');
        }

        $data['aPakage'] = PakageModel::get_Pakages()->get();
        $data['designation'] = DesignationModel::get_designation()->get();

        foreach ($data['aPakage'] as $aPakage_val) {
            
            $data['emp_data'][$aPakage_val->id] = [];

            $all_designation = [];
            if(!empty($data['designation'])){
               foreach ($data['designation'] as $des_val) {
                
                  $all_designation[] = $des_val->id;
               }
            }
            
            $sql = 'SELECT count(bu.id) as total_count,bu.Pakage_id,bu.designation,SUM(CASE WHEN ua.success = 1 THEN 1 ELSE 0 END) AS present_count FROM biometric_users bu LEFT JOIN users_attendance ua ON ua.user_id=bu.id AND ua.Pakage_id=bu.Pakage_id WHERE bu.is_active=1 AND ua.attendance_date='.strtotime($data['txt_date']).' AND bu.Pakage_id='.$aPakage_val->id.' AND designation in ('.implode(',',$all_designation).' ) GROUP BY designation';
                //echo '<br>'.$sql.'<br>';
                $Result = DB::select($sql);

                if(!empty($Result)){
                    foreach($Result as $val){

                        $data['emp_data'][$aPakage_val->id][$val->designation]['present'] = $val->present_count;
                    }
                }
            
        }

        // echo '<pre>';print_r($emp_data_total);die();

        return view('reports.attendance_report', $data);
    }
    public function emp_attendance_report_excel(Request $request,$date=''){
        
        $data = array();

        $data['txt_date'] = base64_decode($date);

        $data['aPakage'] = PakageModel::get_Pakages()->get();
        $data['designation'] = DesignationModel::get_designation()->get();

        foreach ($data['aPakage'] as $aPakage_val) {
            
            $data['emp_data'][$aPakage_val->id] = [];

            $all_designation = [];
            if(!empty($data['designation'])){
               foreach ($data['designation'] as $des_val) {
                
                  $all_designation[] = $des_val->id;
               }
            }
            
            $sql = 'SELECT count(bu.id) as total_count,bu.Pakage_id,bu.designation,SUM(CASE WHEN ua.success = 1 THEN 1 ELSE 0 END) AS present_count FROM biometric_users bu LEFT JOIN users_attendance ua ON ua.user_id=bu.id AND ua.Pakage_id=bu.Pakage_id WHERE bu.is_active=1 AND ua.attendance_date='.strtotime($data['txt_date']).' AND bu.Pakage_id='.$aPakage_val->id.' AND designation in ('.implode(',',$all_designation).' ) GROUP BY designation';
                //echo '<br>'.$sql.'<br>';
                $Result = DB::select($sql);

                if(!empty($Result)){
                    foreach($Result as $val){

                        $data['emp_data'][$aPakage_val->id][$val->designation]['present'] = $val->present_count;
                    }
                }
            
        }

        return view('reports.attendance_report_excel', $data);
    }
    public function vehicle_attendance_report(Request $request){
        
        $data = array();


        if($request->has('btn_reset')) {

            return redirect('/vehicle_tracking_reports/vehicle_attendance_report');
        }

        if($request->has('btn_search')) {
            
           $data['txt_date'] = $request->input('txt_date');

        }else{

            $data['txt_date'] = date('d-m-Y');
        }  

        $i_current_date = date('Ymd',strtotime($data['txt_date']));
       // echo $i_current_date;die;
        $data['aPakage'] = PakageModel::get_Pakages()->get();
        $data['r_vehicles_subtype'] = VehicleModel::get_all_vehicles_subtype();
        $data['vehicle_types'] = VehicleModel::get_vehicle_types();
        //echo '<pre>';print_r($data['vehicle_types']);die;

        foreach ($data['aPakage'] as $aPakage_val) {
            $data['daily_vehicle_att'][$aPakage_val->id] = [];
            $aSeach['packege_id'] = $aPakage_val->id;
            $r_route_data_res = RouteModel::get_to_fetch_route($aSeach);
            //echo '<pre>';print_r($r_vehicle_data_res);
            $all_route = [];
            if(!empty($r_route_data_res)){
               foreach ($r_route_data_res as $route_val) {
                
                  $all_route[] = $route_val->id;
               }
            }

            
            if(!empty($data['vehicle_types'])){
               foreach ($data['vehicle_types'] as $type_val) {
                  
                  $aSeach['type_id'] = $type_val->id;
                  $r_vehicle_data_res_type = VehicleModel::get_all_vehicles_subtype($aSeach);
                  
                  $all_vehicle_subtypes = [];
                    if(!empty($r_vehicle_data_res_type)){
                       foreach ($r_vehicle_data_res_type as $subtype_val) {
                        
                          $all_vehicle_subtypes[] = $subtype_val->id;

                        
                       }
                    } 

                    if(!empty($all_route) && !empty($all_vehicle_subtypes)){
                       // echo '<pre>';print_r($all_vehicles);

                       // echo '<pre>';print_r($all_vehicle_subtypes);
                       // echo '<pre>';print_r($aSeach['type_id']);

                        $sql = 'SELECT pockets,type FROM daily_route_details WHERE current_day='.$i_current_date.' AND route_id in ('.implode(',',$all_route).' ) AND type in ('.implode(',',$all_vehicle_subtypes).' )';
                        //echo $sql.'<br>';
                        $Result = DB::select($sql);

                        //echo '<pre>';print_r($Result);

                        if(!empty($Result)){
                           
                            foreach($Result as $temp){
                                if(!isset($data['daily_vehicle_att'][$aPakage_val->id][$type_val->id])){
                                    $data['daily_vehicle_att'][$aPakage_val->id][$type_val->id] = 0;
                                }
                                if($temp->pockets != NULL){
                                    $pocket_data = json_decode($temp->pockets,true);
                                //echo '<pre>';print_r($pocket_data);
                                    $allValuesOne = 0;
                                    
                                    if(!empty($pocket_data)){
                                        foreach($pocket_data as $pocket){

                                            $allValuesOne += $pocket['is_present'];
                                               
                                        }
                                        

                                        if ($allValuesOne > 0) {
                                           $data['daily_vehicle_att'][$aPakage_val->id][$type_val->id] += 1;
                                        } 
                                    }
                                       

                                }
                                
                            } 
                            
                        } 


                    }

                  
               } 
            } 
            
            
        } 
          //echo '<pre>';print_r($data['daily_vehicle_att']); 
          //die;
        return view('reports.vehicle_attendance_report', $data);
    }
    public function vehicle_attendance_report_excel(Request $request,$date=''){

        $data = array();

        $data['txt_date'] = base64_decode($date);

        $i_current_date = date('Ymd',strtotime($data['txt_date']));
       // echo $i_current_date;die;
        $data['aPakage'] = PakageModel::get_Pakages()->get();
        $data['r_vehicles_subtype'] = VehicleModel::get_all_vehicles_subtype();
        $data['vehicle_types'] = VehicleModel::get_vehicle_types();
        //echo '<pre>';print_r($data['vehicle_types']);die;

        foreach ($data['aPakage'] as $aPakage_val) {
            $data['daily_vehicle_att'][$aPakage_val->id] = [];
            $aSeach['packege_id'] = $aPakage_val->id;
             $r_route_data_res = RouteModel::get_to_fetch_route($aSeach);
            //echo '<pre>';print_r($r_vehicle_data_res);
            $all_route = [];
            if(!empty($r_route_data_res)){
               foreach ($r_route_data_res as $route_val) {
                
                  $all_route[] = $route_val->id;
               }
            }

            
            if(!empty($data['vehicle_types'])){
               foreach ($data['vehicle_types'] as $type_val) {
                  
                  $aSeach['type_id'] = $type_val->id;
                  $r_vehicle_data_res_type = VehicleModel::get_all_vehicles_subtype($aSeach);
                  
                  $all_vehicle_subtypes = [];
                    if(!empty($r_vehicle_data_res_type)){
                       foreach ($r_vehicle_data_res_type as $subtype_val) {
                        
                          $all_vehicle_subtypes[] = $subtype_val->id;

                        
                       }
                    } 

                    if(!empty($all_route) && !empty($all_vehicle_subtypes)){
                       // echo '<pre>';print_r($all_vehicles);

                       // echo '<pre>';print_r($all_vehicle_subtypes);
                       // echo '<pre>';print_r($aSeach['type_id']);

                        $sql = 'SELECT pockets,type FROM daily_route_details WHERE current_day='.$i_current_date.' AND route_id in ('.implode(',',$all_route).' ) AND type in ('.implode(',',$all_vehicle_subtypes).' )';
                        //echo $sql.'<br>';
                        $Result = DB::select($sql);

                        //echo '<pre>';print_r($Result);

                        if(!empty($Result)){
                           
                            foreach($Result as $temp){
                                if(!isset($data['daily_vehicle_att'][$aPakage_val->id][$type_val->id])){
                                    $data['daily_vehicle_att'][$aPakage_val->id][$type_val->id] = 0;
                                }
                                if($temp->pockets != NULL){
                                    $pocket_data = json_decode($temp->pockets,true);
                                //echo '<pre>';print_r($pocket_data);
                                    $allValuesOne = 0;
                                    
                                    if(!empty($pocket_data)){
                                        foreach($pocket_data as $pocket){

                                            $allValuesOne += $pocket['is_present'];
                                               
                                        }
                                        

                                        if ($allValuesOne > 0) {
                                           $data['daily_vehicle_att'][$aPakage_val->id][$type_val->id] += 1;
                                        } 
                                    }

                                }
                                
                            }
                        } 
                    }
                  
               }
            }
            
            
        }
         // echo '<pre>';print_r($data['daily_vehicle_att']); 
         // die;
        return view('reports.vehicle_attendance_report_excel', $data);
    }
    public function hook_loader_visit_report(Request $request){
        
        $aData = array();

        if($request->has('btn_reset')) {
            
            $request->session()->forget('search_from_date_h');
            $request->session()->forget('search_to_date_h');
            $request->session()->forget('search_packege_id_h');

            return redirect('/vehicle_tracking_reports/hook_loader_visit_report');
        }

        if($request->has('btn_search')) {

            $request->session()->put('search_from_date_h',  $request->input('txt_from_date'));
            $request->session()->put('search_to_date_h',    $request->input('txt_to_date'));
            $request->session()->put('search_packege_id_h', $request->input('packege_id'));

        }

        $aData['records'] = VehicleTrakingReportModel::get_all_hook_loader_visit($aData);
        
        $aData['pakages'] = VehicleModel::get_Pakages()->orderBy('Pakage_name', 'ASC')->get();
        
        //echo '<pre>';print_r($aData['records']);die();

        return view('reports.hook_loader_visit', $aData);
    }
    public function hook_loader_visit_report_excel(){
        $aData = array();
        $aData['txt_from_date']   = '';
        $aData['txt_to_date']     = '';
        $aData['pakage_name']     = '';
        
        if(!empty(session('search_from_date_h'))){

            $aData['txt_from_date'] = session('search_from_date_h');
        }

        if(!empty(session('search_to_date_h'))){

            $aData['txt_to_date'] = session('search_to_date_h');
            
        }

        if(!empty(session('search_packege_id_h'))){
            
            $sql = 'SELECT ap.id,ap.Pakage_name FROM admin_pakages ap WHERE ap.id="'.session('search_packege_id_h').'"';

            $Result = DB::select($sql);
            $aData['pakage_name'] = $Result[0]->Pakage_name;
        }



        $aData['records'] = VehicleTrakingReportModel::get_all_hook_loader_visit($aData);

        //echo '<pre>';print_r($aData['records']);die();
        return view('reports.hook_loader_visit_excel', $aData);
    }
    public function water_tanker_visit_report(Request $request){
        
        $aData = array();

        if($request->has('btn_reset')) {
            
            $request->session()->forget('search_from_date_w');
            $request->session()->forget('search_to_date_w');
            $request->session()->forget('search_packege_id_w');

            return redirect('/vehicle_tracking_reports/water_tanker_visit_report');
        }

        if($request->has('btn_search')) {
            
            $request->session()->put('search_from_date_w',  $request->input('txt_from_date'));
            $request->session()->put('search_to_date_w',    $request->input('txt_to_date'));
            $request->session()->put('search_packege_id_w', $request->input('packege_id'));

        }

        $aData['records'] = VehicleTrakingReportModel::get_all_water_tanker_visit($aData);
        
        $aData['pakages'] = VehicleModel::get_Pakages()->orderBy('Pakage_name', 'ASC')->get();
        
        //echo '<pre>';print_r($aData['records']);die();

        return view('reports.water_tanker_visit', $aData);
    }
    public function water_tanker_visit_report_excel(){
        $aData = array();
        
        $aData['txt_from_date']   = '';
        $aData['txt_to_date']     = '';
        $aData['pakage_name']     = '';
        
        if(!empty(session('search_from_date_w'))){

            $aData['txt_from_date'] = session('search_from_date_w');
        }

        if(!empty(session('search_to_date_w'))){

            $aData['txt_to_date'] = session('search_to_date_w');
            
        }

        if(!empty(session('search_packege_id_w'))){
            
            $sql = 'SELECT ap.id,ap.Pakage_name FROM admin_pakages ap WHERE ap.id="'.session('search_packege_id_w').'"';

            $Result = DB::select($sql);
            $aData['pakage_name'] = $Result[0]->Pakage_name;
        }



        $aData['records'] = VehicleTrakingReportModel::get_all_water_tanker_visit($aData);

        //echo '<pre>';print_r($aData['records']);die();
        return view('reports.water_tanker_visit_excel', $aData);
    }
    public function payable_amount_report(Request $request){
        
        $aData = array();

    
        if(empty(Session::get('search_from_date')) || empty(Session::get('search_to_date'))){
           
            $request->session()->put('search_from_date',  date('01-m-Y'));
            $request->session()->put('search_to_date',    date('d-m-Y')); 
        }
        

        if($request->has('btn_reset')) {

            $request->session()->forget('search_from_date');
            $request->session()->forget('search_to_date');
            $request->session()->forget('search_vehicle_id');
            $request->session()->forget('search_packege_id');
            $request->session()->forget('search_sub_type_id');

            return redirect('/vehicle_tracking_reports/payable_amount_report');
        }

        if($request->has('btn_search')) {

            $request->session()->put('search_from_date',  $request->input('txt_from_date'));
            $request->session()->put('search_to_date',    $request->input('txt_to_date'));
            $request->session()->put('search_vehicle_id', $request->input('vehicle_id'));
            $request->session()->put('search_packege_id', $request->input('packege_id'));
            $request->session()->put('search_sub_type_id', $request->input('sub_type_id'));

        }

        //echo '<pre>';print_r($aData);die(); 

        $aData['records'] = VehicleTrakingReportModel::get_all_payable_amount($aData);

        $aData['aVehicleNumber'] = VehicleModel::get_vehicle()->orderBy('vehicle_number', 'ASC')->get();
        $aData['pakages'] = VehicleModel::get_Pakages()->orderBy('Pakage_name', 'ASC')->get();
        $aData['aTypes'] = VehicleModel::get_vehicle_sub_type();

        //echo '<pre>';print_r($aData['aVehicleNumber']);die();

        return view('reports.payable_amount_report', $aData);

    }
    public function payable_amount_report_excel(){

        $aData = array();
        

        $aData['from_date'] = '';
        $aData['to_date'] = '';
        $aData['vehicle_number'] = '';
        $aData['pakage_name'] = '';
        $aData['sub_type_name'] = '';

        if(!empty(session('search_from_date'))){

            $aData['from_date'] = session('search_from_date');
        }

        if(!empty(session('search_to_date'))){

            $aData['to_date'] = session('search_to_date');
            
        }
        
        if(!empty(session('search_vehicle_id'))){
            
            $sql = 'SELECT vm.id,vm.vehicle_number FROM vehicle_master vm WHERE vm.id="'.session('search_vehicle_id').'"';

            $Result = DB::select($sql);
            $aData['vehicle_number'] = $Result[0]->vehicle_number;
        }

        if(!empty(session('search_packege_id'))){
            
            $sql = 'SELECT ap.id,ap.Pakage_name FROM admin_pakages ap WHERE ap.id="'.session('search_packege_id').'"';

            $Result = DB::select($sql);
            $aData['pakage_name'] = $Result[0]->Pakage_name;
        }

        if(!empty(session('search_sub_type_id'))){
            
            $sql = 'SELECT vs.id,concat(vs.name,"(",vt.type,")") as name FROM vehicle_subtypes vs left join vehicle_types vt on vt.id = vs.vehicle_type_id WHERE vs.id="'.session('search_sub_type_id').'"';

            $Result = DB::select($sql);
            $aData['sub_type_name'] = $Result[0]->name;
        }

        $aData['records'] = VehicleTrakingReportModel::get_all_payable_amount($aData);

        return view('reports.payable_amount_report_excel', $aData);
    }
}