<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\DB;

class SupervisorModel extends Model
{
    protected $table = 'supervisor_masters';
    public $timestamps = false;

    protected $fillable = [
        'Pakage_id',
        'supervisor_name',
        'user_name',
        'gender',
        'password',
        'gps_device_number',
        'created',
        'updated_at'
       
    ];
    public static function get($aSearch){
      
        $query = VehicleRoute::from('supervisor_masters as sm')
                                    ->leftJoin('admin_pakages as ad','ad.id', '=','sm.Pakage_id')
                                    ->select('sm.*','ad.Pakage_name');
                                   
                                    if($aSearch['Pakage_id'] > 0){
                                        $query->where('sm.Pakage_id',$aSearch['Pakage_id']);
                                    }

                                    if($aSearch['supervisors_name'] > 0){
                          
                                        $query->where('sm.supervisor_name', 'LIKE', '%'.$aSearch['supervisors_name'].'%');
                                    }      
                                   
                                    if(Session::has('logged_in.superuser') && Session::get('logged_in.superuser') !=1){
                                        $session_div = Session::get('Pakages'); 
                                        if(!empty($session_div)){
                                            $query->whereIn('sm.Pakage_id',$session_div);    
                                        }else {
                                            $query->whereRaw('1=2');
                                        }
                                    }

        return $query;

    }

    public static function get_map_lacations($aSearch){
        $aResult = array();
        
        $sSQL = 'select sm.supervisor_name,sl.id,sl.latest_latitude,sl.latest_longitude,sl.latest_speed,sl.distance,sl.supervisor_id from supervisor_location as sl left join supervisor_masters as sm on sm.id = sl.supervisor_id where sl.status = 1';
        
        if(!empty($aSearch['date'])){  
			$sSQL .= ' AND sl.current_date = '.date('Ymd',strtotime($aSearch['date']));
		}

        if(!empty($aSearch['supervisor_id'])){
			$sSQL .= ' AND sl.supervisor_id = '.$aSearch['supervisor_id'];
		}

        if(Session::has('logged_in.superuser') && Session::get('logged_in.superuser') !=1){
            $session_div = Session::get('Pakages'); 
            if(!empty($session_div)){
                $str_div = implode(',',$session_div);
                $sSQL .= ' AND sm.Pakage_id IN ('.$str_div.')';
            }else {
                $sSQL .= ' AND 1=2';
            }
        }

        $rResult = DB::select( DB::raw($sSQL));
        foreach($rResult as $aRes){
            $aRes->lat = (double)$aRes->latest_latitude;
			$aRes->lng = (double)$aRes->latest_longitude;
			$aResult[] = $aRes;
		}
        //echo '<pre>'; print_r($aResult); die;
		return $aResult;
    }

    public static function get_supervisor(){
       
        $query = DB::table('supervisor_masters')->select('id','supervisor_name');           
        if(Session::has('logged_in.superuser') && Session::get('logged_in.superuser') !=1){
            $session_div = Session::get('Pakages'); 
            if(!empty($session_div)){
                $query->whereIn('Pakage_id',$session_div);    
            }else {
                $query->whereRaw('1=2');  
            }
        }       
        return $query;
    }

    public static function get_supervisor_name($supervisor_id){
       
        $sSQL = 'select id,supervisor_name from supervisor_masters where id = '.$supervisor_id; 
        $rResult = DB::select( DB::raw($sSQL));
        return $rResult;
    }

    public static function get_route_map($supervisor_id,$date){
       //dd($date);
       $aRoutes = array();
       if($supervisor_id != 0 && $date != ''){
        
            $location_folder = base_path('public/supervisor_details/');
            $actual_route = array();
            $file = $location_folder.$date.'/'.$supervisor_id.'.json'; 
            //echo $file; die;
            if(file_exists($file)){
                $handle = fopen($file, "r");
                $actual_route = fgets($handle);
                fclose($handle);
                $actual_route = trim($actual_route);
                $firstchar = substr($actual_route,0,1);
                if($firstchar != '['){
                    $actual_route = '['.$actual_route.']';
                }
                $actual_route = json_decode($actual_route);
                //dd($actual_route);
                if(!empty($actual_route)){
                    foreach($actual_route as $aRoute){
                        $aRoute->lat = (double)$aRoute->latitude;
                        $aRoute->lng = (double)$aRoute->longitude;
                        $aRoute->record_time = $aRoute->record_time;
                        $aRoute->speed = $aRoute->speed;
                        $aRoutes[] = $aRoute;
                    }	
                }
            }
        }
        //echo '<pre>'; print_r($aRoutes); die;
        return $aRoutes;
    }

    public static function get_assign_supervisor($supervisor_id){
       
        $sSQL = 'select sw.id,aw.ward_name from supervisor_assign_ward as sw left join admin_wards as aw on aw.id = sw.ward_id where sw.supervisor_id = '.$supervisor_id.' and is_deleted != 1'; 

        //echo $sSQL; die;
        $rResult = DB::select( DB::raw($sSQL));
        return $rResult;
    }

    public static function get_assign_prabhag_boundary($supervisor_id){
        $aData = array();
        $sel_sql = 'select ward_id from supervisor_assign_ward where supervisor_id = '.$supervisor_id;
       // echo $sel_sql; die;
        $rResult = DB::select( DB::raw($sel_sql));
        $all_ward_data = array();

        if(!empty($rResult)){
            foreach($rResult as $res){
                $all_ward_data[] = $res->ward_id;
            }
            
            $ward_id = implode(',',$all_ward_data);
            //echo $ward_id; die;
           
            if(!empty($all_ward_data)){
                $sSQL = 'select pb.ward_id,pb.latitude,pb.longitude,ad.ward_name from prabhag_boundary as pb left join admin_wards as ad on ad.id = pb.ward_id where 1=1';
                $sSQL .= ' and pb.ward_id IN ('.$ward_id.')';

                $wardResult = DB::select( DB::raw($sSQL));
                //dd($rResult);
                foreach($wardResult as $res){
                    $res->lat = (double)$res->latitude;
                    $res->lng = (double)$res->longitude;
                    $aData['prabhg_boundary'][] = $res;
                }

                foreach($wardResult as $res){
                    $res->lat = (double)$res->latitude;
                    $res->lng = (double)$res->longitude;
                    $aData['ward_details'][$res->ward_id] = $res;
                }
            }
        }
        //echo '<pre>'; print_r($aData); die;
        return $aData;
    }
    
}
