@extends('layout.index')
@section('title', 'Employee List')

<!-- Dashboard Ecommerce start -->
@section('content')
    <section>
        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header w-100">
                            <div class="content-header-left">
                                <div class="row breadcrumbs-top">
                                    <div class="col-sm-12">
                                        <h2 class="content-header-title float-left mb-0"> Employee Report </h2>
                                    </div>
                                </div>
                            </div>
                            {{-- <div class="d-flex justify-content-end breadcrumb-wrapper">
                       <nav aria-label="breadcrumb">
                          <ol class="breadcrumb mr-1">
                             <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                             <li class="breadcrumb-item">Employee</li>
                             <li class="breadcrumb-item active" aria-current="page">All Employee</li>
                          </ol>
                       </nav>
                    </div> --}}
                        </div>
                    </div>
                </div>
            </div>
            <!-- Bordered table end -->
        </div>
        @if ($message = Session::get('success'))
            <div class="demo-spacing-0 mb-1">
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    <div class="alert-body">
                        <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                        {{ $message }}
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">

                    </div>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            </div>
        @endif

        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <form class="dt_adv_search" action="{{ url('/reports/all_employees') }}" method="POST">
                            @csrf
                            <input type="hidden" name="form_type" value="search_frm">
                            <div class="card-header w-100">
                                <div class="row w-100">
                                    <div class="col-sm-8">
                                        <div class="row">
                                            <div class="col-sm-4">
                                                <div class="form-group m-0">
                                                    <label class="form-label">Pakage</label>
                                                    <select name="Pakage_id" class="select2 form-select">
                                                        <option value="">Select Pakage</option>
                                                        @foreach ($aPakage as $val)
                                                            @php $selected = '';   @endphp
                                                            @if ($Pakage_id == $val->id)
                                                                @php $selected ='selected'; @endphp
                                                            @endif
                                                            <option value="{{ $val->id }}" {{ $selected }}>
                                                                {{ $val->Pakage_name }}
                                                            </option>
                                                        @endforeach
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-sm-4">
                                                <label class="form-label">&nbsp;</label><br>
                                                    <button type="submit" class="btn btn-primary">Search</button>

                                                @if ($search)
                                                            <a title="Clear" href="{{ url('/reports/clear_search/all_employees') }}"
                                                        type="button" class="btn btn-outline-primary">
                                                        <i data-feather="rotate-ccw" class="me-25"></i> Clear
                                                    </a>
                                                @endif
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div style="float: right; margin-top: 25px;">
                                        @if (sizeof($aEmployee))
                                            <a href="{{ url('/reports/all_employees/export_excel') }}" 
                                            class="btn btn-outline-primary"><i class='fa fa-download' arial-hidden="true"></i> Excel</a>
                                        @endif   
                                            <a href="{{ url('reports') }}" 
                                            class="btn btn-outline-primary"><span>Back</span></a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                        <div class="table-responsive">
                            <table class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th class="text-center">Sr.No</th>
                                        <th class="text-left">Employee Id</th>
                                        <th class="text-left">EMPLOYEE NAME	</th>
                                        <th class="text-left">Pakage</th>
                                        <th class="text-left">Address</th>
                                        <th class="text-center">Photo</th>
                                    </tr>
                                </thead>
                                <tbody class="text-left">
                                    @if (sizeof($aEmployee))
                                        @php
                                            $i = 1;
                                            $i = $aEmployee->perPage() * ($aEmployee->currentPage() - 1);
                                        @endphp
                                        @foreach ($aEmployee as $val)
                                            @php $i++; @endphp
                                            <tr>
                                                <td class="text-center">{{ $i }}</td>
                                                <td class="text-left">{{ $val->emp_id }}</td>
                                                <td class="text-left">{{ $val->name }}</td>
                                                <td class="text-left">{{ $val->Pakage_name }}</td>
                                                <td class="text-left">{{ $val->address }}</td>
                                                <td class="text-center">       
                                                    @if(isset($val->image_url))
                                                        <div class="avatar avatar-lg">
                                                            <a href={{ asset('/uploads/employee_images/'.$val->image_url)}} target="_blank">
                                                            <img  src={{ asset('/uploads/employee_images/'.$val->image_url)}} alt="avatar" />
                                                        </div>
                                                    @else
                                                        <div class="avatar avatar-lg">
                                                            <img  src={{ asset('app-assets/images/portrait/small/proflie-default.png')}} alt="avatar" />
                                                        </div>
                                                    @endif
                                                </td>
                                            </tr>
                                        @endforeach
                                    @else
                                        <tr>
                                            <td colspan="8" style="text-align: center; color:red;"> No Record Found</td>
                                        </tr>
                                    @endif
                                </tbody>
                            </table>
                            <div class="card-body">
                                <div class="d-flex justify-content-end">
                                    {{ $aEmployee->links() }}
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <!-- Bordered table end -->
        </div>
    </section>
@endsection
