@extends('layout.index')
@section('title', 'Employee wise Report')

<!-- Dashboard Ecommerce start -->
@section('content')
    <section>
        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header w-100">
                            <div class="content-header-left">
                                <div class="row breadcrumbs-top">
                                    <div class="col-sm-12">
                                        <h2 class="content-header-title float-left mb-0"> Employee wise Report </h2>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Bordered table end -->
        </div>
        @if ($message = Session::get('success'))
            <div class="demo-spacing-0 mb-1">
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    <div class="alert-body">
                        <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                        {{ $message }}
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">

                    </div>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            </div>
        @endif

        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <form class="dt_adv_search" action="{{ url('/reports/single_employee') }}" method="POST">
                            @csrf
                            <input type="hidden" name="form_type" value="search_frm">
                            <div class="card-header w-100">
                                <div class="row w-100">
                                    <div class="col-sm-9">
                                        <div class="row">
                                            <div class="col-sm-3">
                                                <div class="form-group m-0">
                                                    <label class="form-label"> Employee Id</label>
                                                    <input type="text" id="emp_id" class="form-control"
                                                        placeholder="Employee Id" name="emp_id" autocomplete="off"
                                                        value="{{ $emp_id }}">
                                                    <h5><small class="text-danger" id="emp_id_err"></small></h5>
                                                </div>
                                            </div>

                                            <div class="col-md-3">
                                                <label class="form-label">Start Date</label>
                                                <input id="start_date" name="start_date"
                                                    class="form-control flatpickr-basic" type="text"
                                                    value="{{ $start_date }}">
                                                </select>
                                            </div>

                                            <div class="col-md-3">
                                                <label class="form-label">End Date</label>
                                                <input id="end_date" name="end_date" class="form-control flatpickr-basic"
                                                    type="text" value="{{ $end_date }}">
                                                </select>
                                            </div>

                                            <div class="col-sm-3">
                                                <label class="form-label">&nbsp;</label><br>
                                                <input type="submit" class="btn btn-primary" onClick="return validation()" value="Search">

                                                @if ($search)
                                                    <a title="Clear"
                                                        href="{{ url('/reports/clear_search/single_employee') }}"
                                                        type="button" class="btn btn-outline-primary">
                                                        <i data-feather="rotate-ccw" class="me-25"></i> Clear
                                                    </a>
                                                @endif
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-sm-3">
                                        <div style="float: right; margin-top: 25px;">
                                            @if (sizeof($aEmployeeData))
                                                <a href="{{ url('/reports/employee_wise/export_excel') }}" 
                                                class="btn btn-outline-primary"><i class='fa fa-download' arial-hidden="true"></i> Excel</a>
                                            @endif
                                            
                                            <a href="{{ url('reports') }}" 
                                            class="btn btn-outline-primary"><span>Back</span></a>
                                        </div>
                                    </div>
                                </div>
                                <div class="row w-100 mt-2 " >
                                    @if($aEmployeeData)
                                        @foreach ($aEmployee as $aEmp)

                                            <div class="col-sm-3 text-center">
                                                <p>Employee ID</p>
                                                <h5>{{ $aEmp->emp_id }}</h5>
                                            </div>
                    
                                            <div class="col-sm-3 text-center">
                                                <p>Employee Name</p>
                                                <h5>{{ $aEmp->name }}</h5>
                                            </div>
                    
                                            <div class="col-sm-3 text-center">
                                                <p>Pakage Name</p>
                                                <h5>{{ $aEmp->Pakage_name }}</h5>
                                            </div>
                    
                                            <div class="col-sm-3 text-center">
                                                <p>Total Hours</p>
                                                <h5>{{ $totalHours }}</h5>
                                            </div>
                                        @endforeach
                                    @endif
                                 </div>
                            </div>
                        </form>
                    <div class="table-responsive">
                        <table class="table table-striped table-bordered">
                            <thead>
                                <tr>
                                    <th class="text-center">Sr.No</th>
                                    <th>Date</th>
                                    <th>Login Location</th>
                                    <th>Login Time</th>
                                    <th class="text-center">Login Image</th>
                                    <th>Logout Location</th>
                                    <th>Logout Time</th>
                                    <th class="text-center">Logout Image</th>
                                    <th class="text-center">Status</th>
                                    <th class="text-center">Hours</th>
                                </tr>
                            </thead>
                            <tbody class="text-left">
                                @if (sizeof($aEmployeeData))
                                    @php
                                        $i = 0;
                                    @endphp
                                    @foreach ($aEmployeeData as $val)
                                        @php
                                            $i++;
                                        @endphp
                                        <tr>
                                            <td class="text-center">{{ $i }}</td>
                                            <td>{{ date('d-m-Y', $val->attendance_date) }}</td>
                                            <td>{{ $val->in_location }}</td>
                                            <td>{{ date('h:i A', $val->inward_datetime) }}</td>
                                            <td class="text-center">
                                                @if ($val->in_image_url)
                                                    <div class="avatar avatar-lg">
                                                    
                                                        <a href= "{{ asset('attendance/'.date('Ymd',$val->attendance_date).'/'.$val->in_image_url) }}" target="_blank">
                                                        <img src="{{ asset('attendance/'.date('Ymd',$val->attendance_date).'/'.$val->in_image_url) }}" alt="Profile Picture" /></a>
                                                    </div>
                                                @else
                                                    <div>
                                                        No Image
                                                        <!-- <img src={{ asset('app-assets/images/portrait/small/proflie-default.png') }}
                                                            alt="avatar" /> -->
                                                    </div>
                                                @endif
                                            </td>
                                            <td>{{ $val->out_location ? $val->out_location : '-' }}</td>
                                            <td class="text-left">
                                                {{ $val->outword_datetime ? date('h:i A', $val->outword_datetime) : ' ' }}
                                            </td>
                                            <td class="text-center">
                                                @if ($val->out_image_url)
                                                    <div class="avatar avatar-lg">
                                                            <a href= "{{ asset('attendance/'.date('Ymd',$val->attendance_date).'/'.$val->out_image_url) }}" target="_blank">
                                                            <img src="{{ asset('attendance/'.date('Ymd',$val->attendance_date).'/'.$val->out_image_url) }}" alt="Profile Picture" /></a>
                                                    </div>
                                                @else
                                                    <div>
                                                        No Image
                                                        <!-- <img src={{ asset('app-assets/images/portrait/small/proflie-default.png') }}
                                                            alt="avatar" /> -->
                                                    </div>
                                                @endif
                                            </td>
                                            <td class="text-center">
                                                    @if (isset($val->success) && $val->success == 1)
                                                        <div class="badge badge-success">Present</div>
                                                    @else
                                                        <div class="badge badge-danger">Absent</div>
                                                    @endif
                                            </td>
                                            <td class="text-center">{{ $val->hours ? $val->hours : '-' }}</td>
                                        </tr>
                                    @endforeach
                                @else
                                    <tr>
                                        <td colspan="10" style="text-align: center; color:red;">No Record Found.</td>
                                    </tr>
                                @endif
                            </tbody>
                        </table>
                        <div class="card-body">
                            <div class="d-flex justify-content-end">
                                {{ $aEmployeeData->links() }}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Bordered table end -->
        </div>
    </section>
@endsection

<script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
<script type="text/javascript">
	function validation() {

      if ($('#emp_id').val() == ""){
         $('#emp_id').parent().addClass('has-error');
         $('#emp_id_err').html('Please Enter Employee Id.');
         $('#emp_id').focus();
         $('#emp_id').keyup(function () {
         $('#emp_id').parent().removeClass('has-error');
         $('#emp_id_err').html('');
        });
        return false;
      }
    }
</script>
