@extends('layout.index')
@section('title','Daily Vehicle Route')

<!-- Dashboard Ecommerce start -->
@section('content')

<div class="content-body">
   <!-- Bordered table start -->
   <div class="row" id="table-bordered">
      <div class="col-12">
         <div class="card mb-1">
            <div class="card-header w-100" >
               <div class="content-header-left">
                  <div class="row breadcrumbs-top">
                     <div class="col-sm-12">
                        <h2 class="content-header-title float-left mb-0">Daily Vehicle Route</h2>
                     </div>
                  </div>
               </div>
               <div class="d-flex justify-content-end breadcrumb-wrapper">
                  <nav aria-label="breadcrumb">
                     <ol class="breadcrumb mr-1">
                        <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Daily Vehicle Route</li>
                     </ol>
                  </nav>
               </div>
            </div>
         </div>
      </div>
   </div>
   <!-- Bordered table end -->
</div>
      
<div class="content-body">
   <!-- Bordered table start -->
   <div class="row" id="table-bordered">
      <div class="col-12">
         <div class="card">
         
            <input type="hidden" name="form_type" value="search_form">
            @csrf
            <div class="card-header w-100 p-1" >
               <div class="row w-100" >
                  <div class="col-sm-2">
                     <div class="form-group m-0">
                        <select name="vehicle_id" id="vehicle_id" class="select2 form-select">
                           <option value="">--- Select Vehicle ---</option>           
                        </select>
                     </div>
                  </div>

                  <div class="col-sm-2">
                     <div class="form-group m-0">
                        <select name="vehicle_id1" id="vehicle_id1" class="select2 form-select">
                           <option value="">--- Select Vehicle ---</option>           
                        </select>
                     </div>
                  </div>
                  
                  <div class="col-sm-4">
   
                     <button type="submit" class="btn btn-primary" onclick = "search_route(null,true)">Search</button>
                         <a title="Clear" href="{{ url('route_deviation/clear_search') }}" class="btn btn-outline-primary" data-column="3"><i data-feather="rotate-ccw" class="me-25"></i><span> Clear</span></a> 
                  </div> 
               </div>
             </div>
         

         <div class="notation_panel" style="display: none;">
            <table id="notation_panel_table">
                  
            </table>
         </div>
         <div id="load" style="display: none" class="loader">
            <div class="d-flex" style="align-items: center; justify-content: center; height: 100vh">
              <img height="100" src="<?php echo url("assets/img") ?>/loading.gif"/>
            </div>
         </div>
         <?php $goole_map_key = config('custom.google_map_key'); ?>
         <script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
         <script src="https://maps.googleapis.com/maps/api/js?key=<?php echo $goole_map_key; ?>&libraries=drawing"></script>

         <div style="width:100%;height:89vh;clear:both;" id="map"></div>
        
            
         </div>
      </div>
   </div>

   <script>
      
      var aLatlng = new google.maps.LatLng(18.63313168078192, 73.79144077540306);

      var myOptions = {
            zoom: 12,
            center: aLatlng,
            mapTypeId: google.maps.MapTypeId.ROADMAP,
         }

      map = new google.maps.Map(document.getElementById("map"), myOptions);



      <?php if(!empty($pockets)){ ?>
         
          var pockets = <?php echo json_encode($pockets); ?>; 

          //console.log(aRoutes); 
          
          var total_distance_count = 0;

          pockets.forEach((item) => {
             
              var pocket_points    = item.points;
              var pocket_coords_id = item.id;
              var route_id         = item.route_id;
              var route_name       = item.route_name;
              var pocket_name      = item.pocket_name;
              var number_of_passes = item.number_of_passes;
              var total_distance   = item.total_distance;

              total_distance_count += item.total_distance;
              
              

              //console.log(pocket_points);
              pocket_points2 = JSON.parse(pocket_points);

              
              
               poly = new google.maps.Polygon({
                  path:pocket_points2,
                  strokeColor: "#FF0000",
                  strokeOpacity: 0.8,
                  strokeWeight: 2,
                  fillColor: "#FF0000",
                  fillOpacity: 0.35,
                  id:pocket_coords_id,
                  pocket_name:pocket_name,
                  number_of_passes:number_of_passes,
                  total_distance:total_distance,
                  route_name:route_name,
              });
              
               poly.setMap(map);
               
               var infowindow = new google.maps.InfoWindow()

               google.maps.event.addListener(poly, 'click', function(event) {
                  
                  infowindow.setContent('<b>Route Name</b> : '+ this.route_name+'<br><b>Number Of Passes</b> : '+ this.number_of_passes+'<br><b>Pocket Name</b> : '+ this.pocket_name+'<br> <b>Distance Travelled</b> : '+total_distance);
                  infowindow.setPosition(event.latLng);
                  infowindow.open(map);

                  // console.log(this.route_name);
               }); 
          }); 
                  
      <?Php } ?>

      <?php if(!empty($pocket_checkpoints)){ ?>
         
          var checkpoints = <?php echo json_encode($pocket_checkpoints); ?>; 

         checkpoints.forEach((item) => {

              var latitude        = item.latitude;  
              var longitude       = item.longitude; 
              var checkpoint_id   = item.id; 
              var route_id        = item.route_id; 

              marker = new google.maps.Marker({
                position: new google.maps.LatLng(latitude, longitude),
                map: map
              });
         });
                  
      <?Php } ?>

   </script>
         <!-- Bordered table end -->
 @endsection
 