@extends('layout.index')
@section('title','Supervisor Route Map')

@section('content')

<style>
   .notation_panel{
      position: absolute;
      top: 180px !important;
      padding: 10px;
      z-index: 9;
      background-color: #000000c4;
      border-radius: 5px;
      /* opacity: 0.7; */
      color: #ffffff;
      width: fit-content;
      margin-left: 10px !important;
      float: right;
   }
   .notation_panel td{
      color: #edebeb;
   } 
</style>

<div class="content-body">
   <!-- Bordered table start -->
   <div class="row" id="table-bordered">
      <div class="col-12">
         <div class="card mb-1">
            <div class="card-header w-100" >
               <div class="content-header-left">
                  <div class="row breadcrumbs-top">
                     <div class="col-sm-12">
                        <h2 class="content-header-title float-left mb-0">Supervisor Route Map</h2>
                     </div>
                  </div>
               </div>
               <div class="d-flex justify-content-end breadcrumb-wrapper">
                  <nav aria-label="breadcrumb">
                     <ol class="breadcrumb mr-1">
                        <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Supervisor Route Map</li>
                     </ol>
                  </nav>
               </div>
            </div>
         </div>
      </div>
   </div>
   <!-- Bordered table end -->
</div>
      
<div class="content-body">
   <!-- Bordered table start -->
   <div class="row" id="table-bordered">
      <div class="col-12">
         <div class="card">
         
         <div class="col-12">
         <div class="card">
        
            <div class="card-header w-100" >
               <div class="row w-100" >
                  <div class="col-sm-3">
                     <div class="form-group m-0">
                        <select name="supervisor_id" id="supervisor_id" class="form-control">
                           <option value="" ><?php if(!empty($supervisor_details)){ echo $supervisor_details[0]->supervisor_name; } ?></option>
                        </select>
                     </div>
                  </div>

                  <div class="col-sm-9">
                    <a href="{{ url('/supervisor_map') }}" class="btn btn-primary" style="float:right"><span> Back</span></a> 
                  </div> 

               </div>
             </div>
            
            <?php if(!empty($rRoute)){ ?>
            <div class="notation_panel">
               <table>
                  <tr>
                     <td><img src="<?php echo config('custom.base_url') ?>assets/img/skyblue_location.png" style="width:25px;height:25px;">
                        Route Start
                     </td>
                  </tr>
                  <tr>
                     <td>
                     <img src="<?php echo config('custom.base_url') ?>assets/img/orange_location.png" style="width:25px;height:25px;">
                        Route End
                     </td>
                  </tr>
                  <tr>
                     <td>Prabhag Boundary</td>
                     <td><span style="border-radius:5px;display:block;padding:10px;margin:5px;background-color:#046d2e"></span></td>				
                  </tr>
                  
                  <?php if(!empty($rAssignPraghabBoundary['ward_details'])){
                     foreach($rAssignPraghabBoundary['ward_details'] as $res){
                  ?> 
                    <tr>
                        <td><?php echo $res->ward_name; ?></td>
                    </tr>     
                  <?php  }
                  } ?>
               </table>
            </div>
           <?php } ?>

         <?php $goole_map_key = config('custom.google_map_key'); ?>
         <script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
         <script src="https://maps.googleapis.com/maps/api/js?key=<?php echo $goole_map_key; ?>&libraries=drawing"></script>

         <div style="width:100%;height:89vh;clear:both;" id="map"></div>
       
         <script>
            jQuery(document).ready(function(){
               initMap();
            });

            function initMap() {
               var gMapoptions = {
                  zoom: 12,
                  center: {lat: 18.63313168078192, lng: 73.79144077540306},
                  mapTypeId: google.maps.MapTypeId.ROADMAP
               }	
         
               var map = new google.maps.Map(document.getElementById('map'),gMapoptions);

               <?php 
               //foreach($rRoute as $aRoute){
                  if(!empty($rRoute)){
                     $defined_route = json_encode($rRoute);
               ?>     
                     drawline = <?php echo $defined_route; ?>;
                     var color = '#AE5339';
                     var route_type = 'defined';
                     draw_new_line(map,color,drawline,'none',route_type);

                  <?php 
                  $count = 1;
                  foreach($rRoute as $res){ if($count %2 == 1){?>
                     
                     var lat = <?php echo $res->lat ?>;
                           var lng = <?php echo $res->lng ?>;
                          
                           var Timestr = '<?php echo $res->record_time ?>';
                           var Speed = <?php echo $res->speed ?>;
                          
                           var info_str = '<strong>Latitude</strong> : '+lat+'<br><strong>Longitude</strong> : '+lng+ '<br><strong>Time</strong>:'+Timestr+'<br><strong>Speed</strong>:'+Speed;
                              
                              var image = {
                                 url :'<?php echo url("assets/img/green_location.png") ?>',
                                 scaledSize: new google.maps.Size(50, 50), // scaled size
                              }
                              
                              var marker = new google.maps.Marker({
                                 position: new google.maps.LatLng(lat, lng),
                                 title:'Data points',
                                 map:map,
                                 icon: image
                              });

                              var infowindow = new google.maps.InfoWindow()
                              google.maps.event.addListener(marker,'click', (function(marker,info_str,infowindow){ 
                                 return function() {
                                    infowindow.setContent(info_str);
                                    infowindow.open(map,marker);
                                 };
                              })(marker,info_str,infowindow));

                  
                     <?php } $count++; } ?>
               <?php } ?> 

               <?php if(!empty($rAssignPraghabBoundary['prabhg_boundary'])){ ?>
                       prabhag_wards = <?php echo json_encode($rAssignPraghabBoundary['prabhg_boundary']); ?>;
                        var prabhag = new google.maps.Polygon({
                                paths: prabhag_wards,
                                fillColor: "#00f9d4",
                                fillOpacity: .01,    
                                strokeColor: '#015430',
                        });
                           prabhag.setMap(map);
               <?php } ?>
            }    
              
         </script> 
            
         </div>
      </div>
   </div>
         <!-- Bordered table end -->
 @endsection 
 
 <script src={{ asset('assets/js/linedraw.js') }}></script>
 <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
 <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
 