@extends('layout.index')
@section('title', 'Date-wise Present and Absent Vehicle Report')

<!-- Dashboard Ecommerce start -->
@section('content')
    @php
    use Carbon\Carbon;
    @endphp
    <section>
        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header w-100">
                            <div class="content-header-left">
                                <div class="row breadcrumbs-top">
                                    <div class="col-sm-12">
                                        <h2 class="content-header-title float-left mb-0">Date-wise Present and Absent Vehicle Report</h2>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Bordered table end -->
        </div>
     
        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <form class="dt_adv_search" action="{{ url('/vehicle_tracking_reports/date_wise_present_absent') }}" method="POST">
                            @csrf
                            <input type="hidden" name="form_type" value="search_frm">
                            <div class="card-header w-100">
                                <div class="row w-100">
                                    <div class="col-sm-12">
                                        <div class="row">
                                            <div class="col-sm-2">
                                                <div class="form-group m-0">
                                                    <label class="form-label">Pakage</label>
                                                    <select class="select2 form-select" id="Pakage_id" name="Pakage_id">
                                                        <option value="">--- All Pakage ---</option>
                                                        @foreach($Pakages as $val)

                                                            @php $selected = '';   @endphp 
                                                            @if($Pakage_id == $val->id)
                                                            @php $selected ='selected'; @endphp
                                                            @endif
                                                        <option {{ $selected }} value="{{ $val->id }}">{{ $val->Pakage_name }}</option>
                                                        @endforeach 
                                                    </select>
                                                </div>
                                            </div>

                                            <!-- <div class="col-sm-2">
                                                <label class="form-label">Vehicle Type</label>
                                                <select name="vehicle_type_id" id="vehicle_type_id" class="select2 form-select">
                                                    <option value="0">--- All Vehicle Types ---</option>
                                                    @foreach($vehicle_type as $val)
                                                        @php $selected = '';  @endphp 
                                                        @if($vehicle_type_id == $val->id)
                                                        @php $selected ='selected'; @endphp
                                                        @endif
                                                    <option {{ $selected }} value="{{$val->id}}">{{$val->type }}</option>
                                                    @endforeach  
                                                </select>
                                            </div> -->

                                            <div class="col-sm-2">
                                              <label class="form-label">Start Date</label>
                                              <input id="start_date" name="start_date" class="form-control flatpickr-basic" type="text" value="<?php echo $start_date; ?>" >
                                            </div>

                                            <div class="col-sm-2">
                                              <label class="form-label">End Date</label>
                                              <input id="end_date" name="end_date" class="form-control flatpickr-basic" type="text" value="<?php echo $end_date; ?>" >
                                            </div>

                                            <div class="col-sm-2">
                                                <label class="form-label">&nbsp;</label><br>
                                                    <button type="submit" class="btn btn-primary" >Search</button>
                                                    @if ($search) 
                                                      <a title="Clear" href="{{ url('/vehicle_tracking_reports/clear_search/date_wise_present_absent') }}" type="button" class="btn btn-outline-primary"><i data-feather="rotate-ccw" class="me-25"></i> Clear </a>
                                                    @endif
                                            </div>
                                            <div class="col-sm-4">
                                               <label class="form-label">&nbsp;</label><br>
                                                <div class="d-flex align-items-center justify-content-end">
                                                       
                                                        <a title="Clear" href="{{ url('/vehicle_tracking_reports/date_wise_present_absent/export_excel') }}"  style="margin : 2px; float:right;"
                                                            type="button" class="btn btn-outline-primary">
                                                            <i class='fa fa-download' arial-hidden="true"></i> Excel
                                                        </a>

                                                        <a href="{{ url('vehicle_tracking_reports') }}" 
                                                        class="btn btn-outline-primary float-right"><span>Back</span></a>

                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    
                                </div>
                            </div>
                        </form>
                        <div class="table-responsive">
                            <table class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th class="text-center">Sr.No</th>
                                        <th class="text-left">Date</th>
                                        <th class="text-center">Present</th>
                                        <th class="text-center">Absent</th>
                                        <th class="text-center">Total</th>
                                       
                                    </tr>
                                </thead>
                                <tbody class="text-left">
                               
                                <?php 
                                   $total_tons = 0;
                                   if(!empty($records)){
                                    //echo '<pre>'; print_r($records); die;
                                        $i = 0;
                                        
                                        foreach($records as $key => $aValue){ 
                                        $i++;
                                        $date =  date('d-m-Y',strtotime($key));
                                ?>
                                    <tr>
                                        <td class="text-center"><?php echo $i; ?></td>
                                        <td class="text-left"><?php echo $date; ?></td>
                                        <td class="text-center">
                                            <?php if($aValue['present'] != 0){ ?>
                                               <a href="{{ URL('/vehicle_tracking_reports/show_pa_vehicles/'.$date.'/1/0/vehtypewise')}}" target="_blank" title="Present Vehicles"><?php echo $aValue['present']; ?></a>
                                            <?php } else { echo '0'; }?> 
                                        </td>
                                        <td class="text-center">
                                          <?php if($aValue['absent'] != 0){ ?>
                                              <a href="{{ URL('/vehicle_tracking_reports/show_pa_vehicles/'.$date.'/2/0/vehtypewise')}}" target="_blank" title="Present Vehicles"><?php echo $aValue['absent']; ?></a>
                                            <?php } else { echo '0'; }?> 
                                        </td>
                                        <td class="text-center"><?php echo $aValue['total']; ?></td>
                                    </tr> 
                                   <?php } }else{ ?>
                                    <tr>
                                        <td colspan="7" class="text-center">No Record Found.</td>
                                    </tr>
                                   <?php } ?>
                                   
                                </tbody>
                            </table>
                            <div class="card-body">
                                <div class="d-flex justify-content-end">
                                    <?php
                                       if(!empty($PakageWeightData)){
                                        // echo $PakageWeightData->links();
                                       }
                                     ?>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <!-- Bordered table end -->
        </div>
    </section>
@endsection

