<?php

use App\Http\Controllers\EmployeeController;
use App\Http\Controllers\HomeController;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Session;
use App\Http\Controllers\LoginController;
use App\Http\Controllers\ModuleController;
use App\Http\Controllers\VehicleRouteController;
use App\Http\Controllers\VehicleController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\SupervisorController;
use App\Http\Controllers\RouteController;
use App\Http\Controllers\CalendarController;
use App\Http\Controllers\AttendanceReportController;
//use App\Http\Controllers\RouteDeviationController;
use App\Http\Controllers\FindRouteController;
use App\Http\Controllers\AllRoutesController;
use App\Http\Controllers\VehicleTrackingReportController;
use App\Http\Controllers\DownloadRouteMapController;
use App\Http\Controllers\VerifyWeightReportController;
use App\Http\Controllers\SupervisorMapController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\LeaveController;
use App\Http\Controllers\RouteDeviationNewController;
use App\Http\Controllers\VehicleSweepingController;
use App\Http\Controllers\KmSweepingController;
//--------------------------------------------

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('/', function () {
    if(!Session::has('logged_in.admin_loggedin')){        
        return view('login');
    } 
    return redirect('/home');
});
Route::post('/login',[LoginController::class,'index']);

Route::group(['middleware'=>['checkLogin']],function(){    

    Route::get('/home',[HomeController::class,'index']);
    Route::post('/home',[HomeController::class,'index']);
    Route::get('/user_profile',[ProfileController::class,'index']);
    Route::post('/user_profile/update',[ProfileController::class,'user_profile']);
    Route::post('user/change_password',[ProfileController::class,'change_password']);
    Route::get('/home/clear_search',[HomeController::class,'clear_search']);
    Route::get('/user_dashboard/{package_id}',[HomeController::class,'user_dashboard_details']);
    //Route::get('/user_dashboard',[DashboardController::class,'user_dashboard_details']);
    Route::post('/get_dashboard_data',[HomeController::class,'get_dashboard_data']);
    //Route::get('/user_dashboard',[HomeController::class,'user_dashboard_details']);
    Route::get('/admin_dashboard',[HomeController::class,'admin_dashboard_details']);
    Route::get('/home/admin_clear_search',[HomeController::class,'admin_clear_search']);
    //Route::post('/admin_dashboard',[HomeController::class,'admin_dashboard_details'])->name('home.admin_dashboard_details');
    Route::post('/home/get_checkpoints', [HomeController::class,'get_checkpoints']);
    Route::post('/home/markers', [HomeController::class,'get_markers']);
    Route::post('/home/prabhag_boundray', [HomeController::class,'get_prabhag_boundray']);
    Route::any('/home/search',[HomeController::class,'index'])->name('home.search');
    Route::post('/home/wards', [HomeController::class,'get_wards']);
    Route::post('/get_to_change_current_date', [HomeController::class,'get_to_change_current_date']);

    Route::post('user_profile/change_theme_mode',[ProfileController::class,'change_theme_mode']);
   
    
   /* USER ROUTE */
    Route::get('/users/clear_search',[UserController::class,'clear_search']);
    Route::post('/users/search',[UserController::class,'index']);
    Route::post('/users/division',[UserController::class,'user_division']);
    Route::post('/users/remove_divisions',[UserController::class,'remove_division']);
    Route::post('/users/module_access',[UserController::class,'module_access']);
    Route::post('/users/change_status',[UserController::class,'change_active_status']);
    Route::resource('/users',UserController::class);
    Route::post('users/show_divisions',[UserController::class,'show_divisions']);
   
    /* SUPERVISOR MAP */
    Route::post('/supervisor_map/search',[SupervisorMapController::class,'search']);
    Route::get('/supervisor_map/clear_search',[SupervisorMapController::class,'clear_search']); 
    Route::any('/supervisor_map',[SupervisorMapController::class,'index'])->name('supervisor_map.index');
    Route::any('/supervisor_map/supervisor_route_map/{id}/{date}', [SupervisorMapController::class, 'supervisor_route_map']);

    /* MODULES */
    Route::post('/modules/sort_order', [ModuleController::class, 'sort_order']);
    Route::resource('/modules',ModuleController::class);
    Route::get('/modules/change_status', [ModuleController::class, 'change_status']);
    Route::post('/modules/change_status', [ModuleController::class, 'change_status']);

    /* USERS */
    Route::resource('/users',UserController::class);
    Route::post('/users/change_status',[UserController::class,'change_active_status']);
    Route::post('/users/Pakage',[UserController::class,'user_Pakage']);
    Route::post('/users/remove_Pakages',[UserController::class,'remove_Pakage']);
    Route::post('/users/show_Pakages',[UserController::class,'show_Pakages']);

    /* VEHICLE MASTER */
    //Route::post('/vehicle_master/index',[VehicleController::class,'index']);
    Route::post('/vehicle_master/search',[VehicleController::class,'search'])->name('vehicle_master.search');
    Route::get('/vehicle_master/clear_search',[VehicleController::class,'clear_search']);
    Route::post('/vehicle_master/change_status',[VehicleController::class,'change_status']);
    Route::resource('/vehicle_master',VehicleController::class);

    /* VEHICLE ROUTE */
    Route::get('/vehicle_routes/clear_search',[VehicleRouteController::class,'clear_search']);
    Route::post('/vehicle_routes/search',[VehicleRouteController::class,'search']);
    Route::get('/vehicle_routes', [VehicleRouteController::class, 'list'])->name('vehicle_routes.list');
    Route::any('vehicle_routes/add_edit_vehicle_route/{id?}', [VehicleRouteController::class, 'add_edit'])->name('add_edit.vehicle_route');
    Route::any('vehicle_routes/delete/{id}', [VehicleRouteController::class, 'delete'])->name('delete.vehicle_route');

    /* Employee */
    Route::get('/biometric_attendance/clear_search',[EmployeeController::class,'clear_search']);
    Route::post('/biometric_attendance/search',[EmployeeController::class,'search']);
    Route::get('/biometric_attendance', [EmployeeController::class, 'list'])->name('employee.list');
    Route::any('/biometric_attendance/add_edit_biometrics/{id?}', [EmployeeController::class, 'add_edit'])->name('add_edit.employee');
    Route::any('/biometric_attendance/delete/{id}', [EmployeeController::class, 'delete'])->name('delete.employee');
    Route::post('/biometric_attendance/change_status',[EmployeeController::class,'change_status']);
    Route::post('/biometric_attendance/contact_validation',[EmployeeController::class,'contact_validation']);
    
    /* Employee Import */
    Route::post('/biometric_attendance/import_employee',[EmployeeController::class,'import_employee'])->name('biometric_attendance.import_employee');

    /* Employee Image */
    Route::get('/biometric_attendance/image/{id}',[EmployeeController::class,'image'])->name('employee.image');
    Route::any('/biometric_attendance/image_upload/{id}',[EmployeeController::class,'image_upload'])->name('employee.image_upload');
    /* Employee Attendance */
    Route::any('/biometric_attendance/clear_attendance_search/{id}',[EmployeeController::class,'clear_attendance_search']);
    Route::any('/biometric_attendance/attendance_search/{id}',[EmployeeController::class,'attendance']);
    Route::get('/biometric_attendance/attendance/{id}',[EmployeeController::class,'attendance'])->name('employee.attendance');
    Route::any('/biometric_attendance/attendance/attendance_log/{id}/{att_id}',[EmployeeController::class,'attendance_log'])->name('employee.attendance_log');
    /*Employee Attendance Map */
    Route::post('/biometric_attendance/show_route',[EmployeeController::class,'showroute']);

    /* Verify Vehicle Weight Report 
    Route::get('/verify_weight_report',[VerifyWeightReportController::class,'index'])->name('verify_weight_report.index');
    Route::get('/verify_weight_report/clear_search',[VerifyWeightReportController::class,'clear_search']);
    Route::post('/verify_weight_report/search',[VerifyWeightReportController::class,'search'])->name('verify_weight_report.search');
    Route::post('/verify_weight_report/verify_weight',[VerifyWeightReportController::class,'verify_weight']);
    Route::post('/verify_weight_report/accept_weight',[VerifyWeightReportController::class,'accept_weight']);
    Route::post('/verify_weight_report/save_new_wight',[VerifyWeightReportController::class,'save_new_wight']);
    Route::post('/verify_weight_report/reject_weight',[VerifyWeightReportController::class,'reject_weight']);
    Route::post('/verify_weight_report/save_reject_reson',[VerifyWeightReportController::class,'save_reject_reson']);*/ 

// ----------------- prathmesh /* ROUTE MASTER */ ----------------
    //Route::post('/route_master/index',[RouteController::class,'index']);
    Route::post('/route_master/search',[RouteController::class,'search'])->name('route_master.search');
    Route::post('/route_master/add_checkpoint',[RouteController::class,'add_checkpoint']);
    Route::post('/route_master/edit_checkpoint',[RouteController::class,'edit_checkpoint']);
    Route::get('/route_master/remove_checkpoint/{id}/{route_id}',[RouteController::class,'remove_checkpoint']);
    Route::get('/route_master/clear_search',[RouteController::class,'clear_search']);
    Route::get('/route_master/view_route/{id}/{route_name}', [RouteController::class,'view_route'])->name('route_master.view_route');
    Route::get('/route_master/index',[RouteController::class,'index']);
    Route::post('/route_master/wards', [RouteController::class,'get_wards']);
    Route::post('/route_master/checkpoints', [RouteController::class,'get_checkpoint']);
    Route::get('/route_master/view_all_routes',[RouteController::class,'view_all_routes']);
    Route::post('/route_master/get_pocket_data', [RouteController::class,'get_pocket_data']);
    Route::post('/route_master/pocket_store', [RouteController::class,'pocket_store']);
    Route::post('/route_master/marker_store', [RouteController::class,'marker_store']);
    Route::post('/route_master/pocket_delete', [RouteController::class,'pocket_delete']);
    Route::post('/route_master/pocket_update', [RouteController::class,'pocket_update']);
    Route::post('/route_master/pocket_edit_update', [RouteController::class,'pocket_edit_update']);
    Route::post('/route_master/marker_delete', [RouteController::class,'marker_delete']);
    Route::post('/route_master/all_checkpoint_delete', [RouteController::class,'all_checkpoint_delete']);
    Route::post('/route_master/get_travelled_route', [RouteController::class,'get_travelled_route']);
    Route::post('/route_master/update_vehicle_route_calender', [RouteController::class,'update_vehicle_route_calender']);
    Route::post('/route_master/remove_vehicle_route_calender', [RouteController::class,'remove_vehicle_route_calender']);
    Route::get('/route_master/clear_route_current_date/{id}',[RouteController::class,'clear_route_current_date']);
   // Route::post('/route_master/import_route',[RouteController::class,'import_route'])->name('route_master.import_route');
    //Route::post('/route_master/import_pocket',[RouteController::class,'import_pocket'])->name('route_master.import_pocket');
   // Route::post('/route_master/save_Route_Data', [RouteControllerer::class,'saveRouteData'])->name('route_master.save_Route_Data');

    Route::post('/route_master/import_boundary',[RouteController::class,'import_boundary'])->name('route_master.import_boundary');
    Route::any('/route_master/view_all_routes',[RouteController::class,'view_all_routes'])->name('route_master.view_all_routes');
    Route::get('/route_master/all_clear_search',[RouteController::class,'all_clear_search']);
    Route::resource('/route_master',RouteController::class);


    // ----------------- monu /* Calendar */ ----------------

    /* Calendar */
    Route::get('/calendar',[CalendarController::class,'list']);
    Route::get('/calendar/route/{route_id}/{vehicle_id}/{start_date}',[CalendarController::class,'list']);
    Route::post('/calendar/search',[CalendarController::class,'list']);
    Route::get('/calendar/clear_search',[CalendarController::class,'clear_search']);
    
    /* LOAD GOOGLE MAP WITHOUT REFRESHING PAGE ON AJAX CALL (Controller -> RouteDeviationnNewController) */
    Route::get('/route_deviation/clear_search',[RouteDeviationNewController::class,'clear_search']);
    Route::any('/route_deviation',[RouteDeviationNewController::class,'index'])->name('route_deviation.index');
    Route::get('/route_deviation/{id}/{date}',[RouteDeviationNewController::class,'index'])->name('route_deviation.index');
    Route::post('/route_deviation/load_route',[RouteDeviationNewController::class,'load_route']);
    Route::get('/route_deviation/view_route',[RouteDeviationNewController::class,'view_route']);
    Route::get('/route_deviation/view_route/{id}/{date}',[RouteDeviationNewController::class,'view_route']);
    Route::post('/route_deviation/load_checkpoint_arrival',[RouteDeviationNewController::class,'load_checkpoint_arrival']);

    Route::get('/default_all_route', [RouteDeviationNewController::class, 'default_all_route']);
    Route::get('/default_all_route_new', [RouteDeviationNewController::class, 'default_all_route_new']);
    Route::post('default_all_route_new/get_all_route', [RouteDeviationNewController::class, 'get_all_route']);
    Route::post('default_all_route_new/get_pocket_data_all', [RouteDeviationNewController::class, 'get_pocket_data_all']);
    
    Route::any('/find_route',[FindRouteController::class,'index'])->name('find_route.index');
    Route::any('/all_routes',[AllRoutesController::class,'index'])->name('all_routes.index');
    Route::get('/all_routes/clear_search',[AllRoutesController::class,'clear_search']);
    
    /* DOWNLOAD ROUTE MAP */
    Route::post('/route_map/track_vehicle', [DownloadRouteMapController::class,'get_track_vehicle']);
    Route::get('/route_map/clear_search',[DownloadRouteMapController::class,'clear_search']);
    Route::get('/route_map',[DownloadRouteMapController::class,'index'])->name('route_map.index');
    Route::any('/route_map/search',[DownloadRouteMapController::class,'index'])->name('route_map.search');
    
    /* VEHICLE TRACKING REPORT */
    Route::get('/vehicle_tracking_reports', [VehicleTrackingReportController::class,'index'])->name('vehicle_tracking_reports.index');
    Route::get('/vehicle_tracking_reports/clear_search/{method}',[VehicleTrackingReportController::class,'clear_search']);
    
    Route::any('/vehicle_tracking_reports/checkpoint_arrival', [VehicleTrackingReportController::class,'checkpoint_arrival']);
    Route::get('/vehicle_tracking_reports/checkpoint_arrival/{id}/{offset}', [VehicleTrackingReportController::class,'checkpoint_arrival'])->name('vehicle_tracking_reports.checkpoint_arrival');
    Route::post('/vehicle_tracking_reports/checkpoint_arrival',[VehicleTrackingReportController::class,'checkpoint_arrival']);
    Route::get('/vehicle_tracking_reports/checkpoint_arrival/export_excel', [VehicleTrackingReportController::class,'checkpoint_arrival_export_excel']);

    Route::get('/vehicle_tracking_reports/vehicle_sweeping_coverage', [VehicleTrackingReportController::class,'vehicle_sweeping_coverage']);
    Route::post('/vehicle_tracking_reports/vehicle_sweeping_coverage', [VehicleTrackingReportController::class,'vehicle_sweeping_coverage']);
    Route::get('/vehicle_tracking_reports/vehicle_sweeping_coverage_excel/{date}', [VehicleTrackingReportController::class,'vehicle_sweeping_coverage_excel']);
    Route::get('/vehicle_tracking_reports/km_sweeping', [VehicleTrackingReportController::class,'km_sweeping']);
    Route::post('/vehicle_tracking_reports/km_sweeping', [VehicleTrackingReportController::class,'km_sweeping']);
    Route::get('/vehicle_tracking_reports/km_sweeping_excel/{date}', [VehicleTrackingReportController::class,'km_sweeping_excel']);
    Route::get('/vehicle_tracking_reports/vehicle_performance_details', [VehicleTrackingReportController::class,'vehicle_performance_details']);
    Route::post('/vehicle_tracking_reports/vehicle_performance_details', [VehicleTrackingReportController::class,'vehicle_performance_details']);
    Route::get('/vehicle_tracking_reports/vehicle_performance_detail_excel/{date}', [VehicleTrackingReportController::class,'vehicle_performance_detail_excel']);
    Route::get('/vehicle_tracking_reports/emp_attendance_report', [VehicleTrackingReportController::class,'emp_attendance_report']);
    Route::post('/vehicle_tracking_reports/emp_attendance_report', [VehicleTrackingReportController::class,'emp_attendance_report']);
    Route::get('/vehicle_tracking_reports/emp_attendance_report_excel/{date}', [VehicleTrackingReportController::class,'emp_attendance_report_excel']);
    Route::get('/vehicle_tracking_reports/vehicle_attendance_report', [VehicleTrackingReportController::class,'vehicle_attendance_report']);
    Route::post('/vehicle_tracking_reports/vehicle_attendance_report', [VehicleTrackingReportController::class,'vehicle_attendance_report']);
    Route::get('/vehicle_tracking_reports/vehicle_attendance_report_excel/{date}', [VehicleTrackingReportController::class,'vehicle_attendance_report_excel']);
    Route::get('/vehicle_tracking_reports/hook_loader_visit_report', [VehicleTrackingReportController::class,'hook_loader_visit_report']);
    Route::post('/vehicle_tracking_reports/hook_loader_visit_report', [VehicleTrackingReportController::class,'hook_loader_visit_report']);
    Route::get('/vehicle_tracking_reports/hook_loader_visit_report_excel', [VehicleTrackingReportController::class,'hook_loader_visit_report_excel']);
    Route::get('/vehicle_tracking_reports/water_tanker_visit_report', [VehicleTrackingReportController::class,'water_tanker_visit_report']);
    Route::post('/vehicle_tracking_reports/water_tanker_visit_report', [VehicleTrackingReportController::class,'water_tanker_visit_report']);
    Route::get('/vehicle_tracking_reports/water_tanker_visit_report_excel', [VehicleTrackingReportController::class,'water_tanker_visit_report_excel']);
    Route::get('/vehicle_tracking_reports/payable_amount_report', [VehicleTrackingReportController::class,'payable_amount_report']);
    Route::post('/vehicle_tracking_reports/payable_amount_report', [VehicleTrackingReportController::class,'payable_amount_report']);
    Route::get('/vehicle_tracking_reports/payable_amount_report_excel', [VehicleTrackingReportController::class,'payable_amount_report_excel']);

    // Route::get('/vehicle_tracking_reports/daily_weight_mngmt', [VehicleTrackingReportController::class,'daily_weight_mngmt']);
    // Route::post('/vehicle_tracking_reports/daily_weight_mngmt',[VehicleTrackingReportController::class,'daily_weight_mngmt']);
    // Route::get('/vehicle_tracking_reports/daily_weight_mngmt/export_excel', [VehicleTrackingReportController::class,'daily_weight_mngmt_export_excel']);

    // Route::get('/vehicle_tracking_reports/date_wise_weight_mngmt',[VehicleTrackingReportController::class,'date_wise_weight_mngmt']);
    // Route::post('/vehicle_tracking_reports/date_wise_weight_mngmt',[VehicleTrackingReportController::class,'date_wise_weight_mngmt']);
    // Route::get('/vehicle_tracking_reports/date_wise_weight_mngmt/export_excel',[VehicleTrackingReportController::class,'date_wise_weight_mngmt_export_excel']);

    // Route::get('/vehicle_tracking_reports/vehicle_wise_weight_mngmt',[VehicleTrackingReportController::class,'vehicle_wise_weight_mngmt']);
    // Route::post('/vehicle_tracking_reports/vehicle_wise_weight_mngmt',[VehicleTrackingReportController::class,'vehicle_wise_weight_mngmt']);
    // Route::get('/vehicle_tracking_reports/vehicle_wise_weight_mngmt/export_excel',[VehicleTrackingReportController::class,'vehicle_wise_weight_mngmt_export_excel']);
    
    Route::get('/vehicle_tracking_reports/date_wise_present_absent',[VehicleTrackingReportController::class,'date_wise_present_absent']);
    Route::post('/vehicle_tracking_reports/date_wise_present_absent',[VehicleTrackingReportController::class,'date_wise_present_absent']);
    Route::get('/vehicle_tracking_reports/date_wise_present_absent/export_excel',[VehicleTrackingReportController::class,'date_wise_present_absent_export_excel']);

    Route::any('/vehicle_tracking_reports/vehicle_stoppage_report',[VehicleTrackingReportController::class,'vehicle_stoppage_report']);
    Route::get('/vehicle_tracking_reports/vehicle_stoppage_report/{id}/{offset}',[VehicleTrackingReportController::class,'vehicle_stoppage_report'])->name('vehicle_tracking_reports.vehicle_stoppage_report');
    Route::post('/vehicle_tracking_reports/vehicle_stoppage_report',[VehicleTrackingReportController::class,'vehicle_stoppage_report']);
    Route::get('/vehicle_tracking_reports/vehicle_stoppage_report/export_excel',[VehicleTrackingReportController::class,'vehicle_stoppage_export_excel']);

    Route::get('/vehicle_tracking_reports/vehicle_type_wise_weight_mngmt',[VehicleTrackingReportController::class,'vehicle_type_wise_weight_mngmt']);
    Route::post('/vehicle_tracking_reports/vehicle_type_wise_weight_mngmt',[VehicleTrackingReportController::class,'vehicle_type_wise_weight_mngmt']);
    Route::get('/vehicle_tracking_reports/vehicle_type_wise_weight_mngmt/export_excel',[VehicleTrackingReportController::class,'vehicle_type_wise_weight_mngmt_export_excel']);
    Route::get('/vehicle_tracking_reports/vehicle_type_wise_weight_pdf/export_pdf',[VehicleTrackingReportController::class,'vehicle_type_wise_weight_pdf']);
    Route::get('/vehicle_tracking_reports/vehicle_type_summary_weight_pdf/export_pdf',[VehicleTrackingReportController::class,'vehicle_type_summary_weight_pdf']);
    
    Route::get('/vehicle_tracking_reports/vehicle_type_wise_present_absent',[VehicleTrackingReportController::class,'vehicle_type_wise_present_absent']);
    Route::post('/vehicle_tracking_reports/vehicle_type_wise_present_absent',[VehicleTrackingReportController::class,'vehicle_type_wise_present_absent']);
    Route::get('/vehicle_tracking_reports/vehicle_type_wise_present_absent/export_excel',[VehicleTrackingReportController::class,'vehicle_type_wise_present_absent_export_excel']);
    Route::get('/vehicle_tracking_reports/typewise_redirect/{division_id}/{date}/{entrsType}/{vehtype}/vehtypewise',[VehicleTrackingReportController::class,'typewise_redirect']);
    Route::get('/vehicle_tracking_reports/show_pa_vehicles/{date}/{entrsType}/{vehtype}/vehtypewise',[VehicleTrackingReportController::class,'show_present_absent_vehicle']);
    Route::get('/vehicle_tracking_reports/present_absent_vehicle/export_excel/{division_id}/{date}/{entrsType}/{vehicle_type}',[VehicleTrackingReportController::class,'present_absent_vehicle_export_excel']);
    
    Route::get('/vehicle_tracking_reports/route_deviation_report',[VehicleTrackingReportController::class,'route_deviation_report']);
    Route::post('/vehicle_tracking_reports/route_deviation_report',[VehicleTrackingReportController::class,'route_deviation_report']);
    Route::get('vehicle_tracking_reports/route_deviation_report/export_excel',[VehicleTrackingReportController::class,'route_deviation_report_export_excel']);

    Route::get('/vehicle_tracking_reports/checkpoints_consolidated',[VehicleTrackingReportController::class,'checkpoints_consolidated']);
    Route::post('/vehicle_tracking_reports/checkpoints_consolidated',[VehicleTrackingReportController::class,'checkpoints_consolidated']);
    Route::get('/vehicle_tracking_reports/checkpoints_consolidated/export_excel',[VehicleTrackingReportController::class,'checkpoints_consolidated_export_excel']);

    Route::get('/vehicle_tracking_reports/distance_travel_report',[VehicleTrackingReportController::class,'distance_travel_report']);
    Route::post('/vehicle_tracking_reports/distance_travel_report',[VehicleTrackingReportController::class,'distance_travel_report']);
    Route::get('/vehicle_tracking_reports/distance_travel/export_excel',[VehicleTrackingReportController::class,'distance_travel_export_excel']);

    Route::get('/vehicle_tracking_reports/khatprakalpa_visit',[VehicleTrackingReportController::class,'khatprakalpa_visit']);
    Route::post('/vehicle_tracking_reports/khatprakalpa_visit',[VehicleTrackingReportController::class,'khatprakalpa_visit']);
    Route::get('/vehicle_tracking_reports/khatprakalpa_visit/export_excel',[VehicleTrackingReportController::class,'khatprakalpa_visit_export_excel']);
    
    Route::get('/vehicle_tracking_reports/weight_mngt_payable_amt',[VehicleTrackingReportController::class,'weight_mngt_payable_amt']);
    Route::post('/vehicle_tracking_reports/weight_mngt_payable_amt',[VehicleTrackingReportController::class,'weight_mngt_payable_amt']);
    Route::get('/vehicle_tracking_reports/weight_mngt_payable_amt/export_excel',[VehicleTrackingReportController::class,'weight_mngt_payable_amt_export_excel']);
    Route::post('/vehicle_tracking_reports/weight_mngt_payable_amt/get_month',[VehicleTrackingReportController::class,'get_month']);
    Route::post('/vehicle_tracking_reports/weight_mngt_payable_amt/get_day',[VehicleTrackingReportController::class,'get_day']);
    
    Route::get('/vehicle_tracking_reports/vehicle_overspeed',[VehicleTrackingReportController::class,'vehicle_overspeed']);
    Route::post('/vehicle_tracking_reports/vehicle_overspeed',[VehicleTrackingReportController::class,'vehicle_overspeed']);
    Route::get('/vehicle_tracking_reports/vehicle_overspeed/export_excel',[VehicleTrackingReportController::class,'vehicle_overspeed_export_excel']);
   
    /* SUPERVISOR ROUTE */
    Route::get('/supervisors/clear_search',[SupervisorController::class,'clear_search']);
    Route::post('/supervisors/search',[SupervisorController::class,'search'])->name('supervisors.search');
    Route::post('/supervisors/remove/device', [SupervisorController::class,'remove_devices']);
    Route::get('/supervisors/devices/{id}', [SupervisorController::class,'supervisor_devices']);
    Route::post('/supervisors/submit_devices', [SupervisorController::class,'supervisor_submit_devices']);
    Route::resource('/supervisors',SupervisorController::class);
    Route::get('/supervisors/devices/edit/{id}/{sup_id}',[SupervisorController::class,'supervisor_devices_edit']);
    Route::post('/supervisors/device/update/{id}',[SupervisorController::class,'supervisor_devices_update']);
    Route::post('/supervisors/change_status',[SupervisorController::class,'supervisors_change_active_status']);
    Route::get('/supervisors/assignward/{sup_id}/{edit_id}',[SupervisorController::class,'supervisor_assign_ward']);
    Route::post('/supervisors/add_wards', [SupervisorController::class,'supervisor_add_wards']);
    Route::post('/supervisors/add_wards/update/{sup_id}/{id}',[SupervisorController::class,'supervisor_edit_wards']);
    Route::post('/supervisors/remove/remove_wards', [SupervisorController::class,'remove_wards']);


    /* REPORTS ROUTE */
    Route::get('/reports', [AttendanceReportController::class,'index'])->name('reports.list');
    Route::get('/reports/clear_search/{method}',[AttendanceReportController::class,'clear_search']);
    Route::post('/reports/search',[SupervisorController::class,'search'])->name('reports.search');
   
    Route::get('/reports/all_employees', [AttendanceReportController::class,'all_employees']);
    Route::post('/reports/all_employees',[AttendanceReportController::class,'all_employees']);
    Route::get('/reports/all_employees/export_excel', [AttendanceReportController::class,'all_employees_export_excel']);
   
    Route::get('/reports/employee_attendance', [AttendanceReportController::class,'employee_attendance']);
    Route::post('/reports/employee_attendance', [AttendanceReportController::class,'employee_attendance']);
    Route::get('/reports/employee_attendance/export_excel', [AttendanceReportController::class,'employees_attendance_export_excel']);
    
    Route::get('/reports/present_report', [AttendanceReportController::class,'present_report']);
    Route::post('/reports/present_report',[AttendanceReportController::class,'present_report']);
    Route::get('/reports/present_absent/export_excel', [AttendanceReportController::class,'present_absent_export_excel']);

    Route::get('/reports/hours_report', [AttendanceReportController::class,'hours_report']);
    Route::post('/reports/hours_report',[AttendanceReportController::class,'hours_report']);
    Route::get('/reports/hours_wise/export_excel', [AttendanceReportController::class,'hours_wise_export_excel']);

    Route::get('/reports/days_report', [AttendanceReportController::class,'days_report']);
    Route::post('/reports/days_report', [AttendanceReportController::class,'days_report']);
    Route::get('/reports/days_wise/export_excel', [AttendanceReportController::class,'days_wise_export_excel']);

    Route::get('/reports/single_employee', [AttendanceReportController::class,'single_employee']);
    Route::post('/reports/single_employee', [AttendanceReportController::class,'single_employee']);
    Route::get('/reports/employee_wise/export_excel', [AttendanceReportController::class,'employee_wise_export_excel']);

    Route::get('/reports/invalid_entries', [AttendanceReportController::class,'invalid_entries']);
    Route::post('/reports/invalid_entries', [AttendanceReportController::class,'invalid_entries']);
    Route::get('/reports/invalid_entries/export_excel', [AttendanceReportController::class,'invalid_entries_export_excel']);

    Route::any('/reports/datewisePresentAbsentCount', [AttendanceReportController::class,'datewise_report']);
    Route::get('/reports/date_wise/export_excel', [AttendanceReportController::class,'date_wise_export_excel']);

    Route::get('/logout',[LoginController::class,'logout']);

    Route::get('/leave_management', [LeaveController::class, 'leave']);
    Route::post('/leave_management', [LeaveController::class, 'leave']);

});
